Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class NodeEndRef

    java.lang.Object
      ix.icore.domain.NodeEndRef

All Implemented Interfaces:
  java.io.Serializable

    public class NodeEndRef

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected End` | `end`
`protected Name` | `node`
`static Name` | `SELF`

Constructor Summary
`NodeEndRef()`
`NodeEndRef(End end, Name node)`
`NodeEndRef(End end, java.lang.String node)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`End` | `getEnd()`
`Name` | `getNode()`
`int` | `hashCode()`
`boolean` | `isToSelf()`
`void` | `setEnd(End end)`
`void` | `setNode(Name node)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SELF

    public static final Name SELF

### end

    protected End end

### node

    protected Name node

Constructor Detail

### NodeEndRef

    public NodeEndRef()

### NodeEndRef

    public NodeEndRef(End end,
                      Name node)

### NodeEndRef

    public NodeEndRef(End end,
                      java.lang.String node)

Method Detail

### getEnd

    public End getEnd()

### setEnd

    public void setEnd(End end)

### getNode

    public Name getNode()

### setNode

    public void setNode(Name node)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### isToSelf

    public boolean isToSelf()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD